//
//  FAQ.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 22/01/2025.
//

import Foundation

// Modèle pour une question fréquente
struct FAQItem: Identifiable {
    let id = UUID()
    let question: String
    let answer: String
}

// Extension de Pricing pour gérer les FAQs selon l'abonnement
extension Pricing {
    var faqItems: [FAQItem] {
        switch self {
        case .standard:
            return []
        case .premier:
            return [
                FAQItem(
                    question: "Comment résilier mon abonnement Premier ?",
                    answer: "L'abonnement Premier est sans engagement. Vous pouvez le résilier à tout moment, depuis le menu Abonnement > Gérer mes abonnements > Demander la résiliation."
                )
            ] + commonFAQItems
        case .premierPro:
            return [
                FAQItem(
                    question: "Comment résilier mon abonnement Premier ?",
                    answer: "Pendant votre essai gratuit de 14 jours, la résiliation est possible à tout moment. Passé ce délai, la résiliation sera effective à la fin de votre engagement de 12 mois. Vous pouvez résilier votre abonnement depuis le menu Abonnement > Gérer mes abonnements > Demander la résiliation."
                )
            ] + commonFAQItems
        }
    }

    // Questions communes à tous les abonnements
    private var commonFAQItems: [FAQItem] {
        [
            FAQItem(
                question: "Comment me faire payer mes prestations ?",
                answer: "Paiement en ligne ou paiement en direct lors de la prestation, vous choisissez le mode de paiement qui vous convient. En optant pour le paiement en ligne, vous bénéficiez d'un paiement réalisé en toute sécurité, sans commission."
            ),
            FAQItem(
                question: "Comment contacter le Service Clients ?",
                answer: "Pour nous contacter, il suffit de vous rendre sur le lien \"Contactez-nous\" présent au bas de tous nos articles de notre aide en ligne.\nNotre Service Clients est disponible pour répondre à toutes vos questions, du lundi au vendredi, de 9h à 18h."
            )
        ]
    }
}
